You can specify per order whether a specific order should be executed straight-through (normal order processing) or whether the order should be added to a corresponding block order. This allows for maximum flexibility and seamless integration of multiple investment products via the Investment API.
We recommend reading the Orders introduction and Block order introduction.
Authentication scopes —
orders:adminFor more information, refer to Authentication scopes.
The 'Block orders' feature is not activated by default. If you want to activate it, please contact your Account Manager.
To execute orders as block orders via Upvest, you must first set one (or multiple) daily cut-off time(s) at which you want your orders to be executed. You must then notify us of the defined cut-off time(s) via your Account Manager.
Webhook handler ready — Set up a webhook endpoint to listen for order execution notifications.
- Subscribe to
ORDER.*andEXECUTION.*events to receive notifications when block orders execute.
For more information, refer to Implementing webhooks.
- Subscribe to
After the configuration of the cut-off time, you can place a block order with the following request:
POST /orders
In the request body, specify "execution_flow": "BLOCK".
Example request
{
"user_id": "2dedfeb0-58cd-44f2-ae08-0e41fe0413d9",
"account_id": "debf2026-f2da-4ff0-bb84-92e45babb1e3",
"side": "BUY",
"client_reference": "My order",
"instrument_id": "IE00B95PGT31",
"instrument_id_type": "ISIN",
"currency": "EUR",
"order_type": "MARKET",
"quantity": "10",
"execution_flow": "BLOCK"
}It is only possible to send market orders with the execution flow BLOCK. Both unit and nominal orders are supported.